Retry an owned failed request as a new task
Creates a new request ID and preserves the failed source request for audit. Structured extraction requests also create a new recipe run.
Creates a new request ID and preserves the failed source request for audit. Structured extraction requests also create a new recipe run.
X-API-Key<token>
In: header
Path Parameters
id*string
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. When omitted, the server generates a unique internal key for this submission.
Length
8 <= length <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/data/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "http://example.com", "status": "pending", "cached": true, "protected": true, "base_tokens": 0, "protected_tokens": 0, "captcha_tokens": 0, "created_at": "2019-08-24T14:15:22Z", "charged_tokens": 0, "pricing_version": 1, "route_mode": "direct", "idempotent_replay": true, "result_kind": "extraction", "page_status": "string", "retried_from_id": "545f08f3-a533-42de-9a07-982f2a1e0a30", "retried_from_run_id": "bca4ec66-6268-4713-8090-ab45d5390c39"}